<div class="explore-funds-div">
    <div class="sort-filter-box">
        <div class="sort-box">
            <h4>SORT BY :</h4>
            <div class="button-div">
                <button class="button name" (click)="child.sortByScheme()">Name of Scheme</button>
                <button class="button fund_category" (click)="child.sortByFundCategory()">Fund Category</button>
                <button class="button fund_type" (click)="child.sortByFundType()">Fund Type</button>
                <button class="button plan" (click)="child.sortByPlan()">Plan</button>
                <button class="button year_1" (click)="child.sortByYearOneReturns()">Year 1 Returns</button>
                <button class="button year_3" (click)="child.sortByYearThreeReturns()">Year 3 Returns</button>
            </div>
        </div>
        <div class="filter-box">
            <h4>FILTER BY :</h4>
            <div class="filter-div">
                <select class="filter-type" [(ngModel)]="firstFilterOption" (click)="addFirstSubType($event)">
                    <option [value]="None">None</option>
                    <option *ngFor="let filterType of firstFilterTypeArr" [value]="filterType">{{ filterType }}</option>
                </select>
                <select class="sub-filter-type" (click)="addFirstSubFilter($event)">
                    <option [value]="None">None</option>
                    <option *ngFor="let subFilterType of firstSubFilterTypeArr" [value]="subFilterType">{{ subFilterType }}</option>
                </select>
                <select class="filter-type" [(ngModel)]="secondFilterOption" (click)="addSecondSubType($event)">
                    <option [value]="None">None</option>
                    <option *ngFor="let filterType of secondFilterTypeArr" [value]="filterType">{{ filterType }}</option>
                </select>
                <select class="sub-filter-type" (click)="addSecondSubFilter($event)">
                    <option [value]="None">None</option>
                    <option *ngFor="let subFilterType of secondSubFilterTypeArr" [value]="subFilterType">{{ subFilterType }}</option>
                </select>
                <select class="filter-type" [(ngModel)]="thirdFilterOption" (click)="addThirdSubType($event)">
                    <option [value]="None">None</option>
                    <option *ngFor="let filterType of thirdFilterTypeArr" [value]="filterType">{{ filterType }}</option>
                </select>
                <select class="sub-filter-type" (click)="addThirdSubFilter($event)">
                    <option [value]="None">None</option>
                    <option *ngFor="let subFilterType of thirdSubFilterTypeArr" [value]="subFilterType">{{ subFilterType }}</option>
                </select>
            </div>
            <div class="filter-buttons-div">
                <button class="button apply-filter" (click)="child.filterBy()">Apply filter</button>
                <button class="button reset-filter" (click)="resetFilter()">Reset Filter</button>
            </div>
        </div>
    </div>
    <app-funds-table #child [firstFilter]="firstFilter" [secondFilter]="secondFilter" [thirdFilter]="thirdFilter" 
        [firstSubFilter]="firstSubFilter" [secondSubFilter]="secondSubFilter" [thirdSubFilter]="thirdSubFilter" 
        [filterApplied]="filterApplied"></app-funds-table>
</div>